<?php

namespace Trustami\Trustbadge\Block\Catalog\Category;

class TrustbadgeCategory extends \Magento\Framework\View\Element\Template
{

    protected $_helper;

    /**
     * @var \Magento\Framework\ObjectManagerInterface
     */
    protected $_objectManager;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Trustami\Trustbadge\Helper\CategoryData $helper,
        \Magento\Framework\ObjectManagerInterface $objectManager
    ) {
        parent::__construct($context);

        $this->_helper = $helper;
        $this->_objectManager = $objectManager;
    }

    public function getMode(){
  	   return $this->_helper->getMode();
  	}

    protected function _toHtml()
    {
        return parent::_toHtml();
    }

}
