<?php
namespace Trustami\Trustbadge\Helper;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\Locale\Resolver;

class AdvancedData extends \Magento\Framework\App\Helper\AbstractHelper
{
    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterfac
     */
    protected $_scopeConfig;
    protected $_localeResolver;

	CONST DIV		  = 'trustami_trustbadge/general/element_type';
	CONST DIVNAME	  = 'trustami_trustbadge/general/element_name';
	CONST ELEMENT 	  = 'trustami_trustbadge/general/show_element';

    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
	\Magento\Framework\Locale\Resolver $localeResolver
    ) {

        $this->_scopeConfig = $scopeConfig;
	$this->_localeResolver = $localeResolver;

    }

	public function getDivType() {
		return $this->_scopeConfig->getValue(self::DIV);
	}

	public function getDivName() {
		return $this->_scopeConfig->getValue(self::DIVNAME);
	}

	public function getElement() {
		return $this->_scopeConfig->getValue(self::ELEMENT);
	}


}
