<?php
namespace Trustami\Trustbadge\Helper;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\Locale\Resolver;

class HeaderData extends \Magento\Framework\App\Helper\AbstractHelper
{
    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterfac
     */
    protected $_scopeConfig;
    protected $_localeResolver;

    CONST HEADER  = 'trustami_trustbadge/general/show_header';

    public function __construct(
          \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
  	\Magento\Framework\Locale\Resolver $localeResolver
      ) {

    $this->_scopeConfig = $scopeConfig;
  	$this->__localeResolver = $localeResolver;
    }

    public function getMode(){
		$value = $this->_scopeConfig->getValue(self::HEADER);

		switch ($value) {
			case 'key1':
				return 'normal';
				break;
			case 'key2':
				return 'mini';
				break;
			case 'key3':
				return 'box';
				break;
			case 'key4':
				return 'none';
				break;
			default:
				return 'error';
		}
	}
}
