<?php
namespace Trustami\Trustbadge\Helper;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\Locale\Resolver;

class LoaderData extends \Magento\Framework\App\Helper\AbstractHelper
{
  /**
  * @var \Magento\Framework\App\Config\ScopeConfigInterfac
  */
  protected $_scopeConfig;
  protected $_localeResolver;


  CONST CARDID      = 'trustami_trustbadge/general/card_id';
  // CONST LANGUAGE    = 'trustami_trustbadge/general/language';
  // CONST GOOGLE      = 'trustami_trustbadge/general/google_stars';
  // CONST HEADER      = 'trustami_trustbadge/general/show_header';
  // CONST FOOTER      = 'trustami_trustbadge/general/show_footer';
  // CONST PRODUCT     = 'trustami_trustbadge/general/show_product';
  // CONST OVERLAY     = 'trustami_trustbadge/general/show_overlay';
  // CONST CATEGORY    = 'trustami_trustbadge/general/show_category';
  // CONST OVERLAYPX   = 'trustami_trustbadge/general/overlay_px';
  // CONST COLORBORDER = 'trustami_trustbadge/general/color_border';
  // CONST COLORRATING = 'trustami_trustbadge/general/color_ratings';
  // CONST COLORHEADER = 'trustami_trustbadge/general/color_header';
  // CONST PERSONAL    = 'trustami_trustbadge/general/personal_form';
  // CONST HEIGHT      = 'trustami_trustbadge/general/fixed_height';
  // CONST ELEMENT	  = 'trustami_trustbadge/general/show_element';

  public function __construct(
  \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
  \Magento\Framework\Locale\Resolver $localeResolver
  ) {

    $this->_scopeConfig = $scopeConfig;
    $this->_localeResolver = $localeResolver;
  }

  public function getProfileId(){
    return $this->_scopeConfig->getValue(self::CARDID);
  }

  // Filter mode variable in script
  // public function getScriptMode() {
  //   $header = $this->_scopeConfig->getValue(self::HEADER);
  //   $category = $this->_scopeConfig->getValue(self::CATEGORY);
  //   $product = $this->_scopeConfig->getValue(self::PRODUCT);
  //   $footer = $this->_scopeConfig->getValue(self::FOOTER);
  //   $overlay = $this->_scopeConfig->getValue(self::OVERLAY);
  //   $advanced = $this->_scopeConfig->getValue(self::ELEMENT);
  //
  //   $mode = '';
  //   if ($header == 'key1' || $category == 'key1' || $product == 'key1' || $footer == 'key1' || $advanced == 'key1') {
  //     $mode = '0';
  //   }
  //   if ($header == 'key2' || $category == 'key2' || $product == 'key2' || $footer == 'key2' || $advanced == 'key2') {
  //     if ($mode == '') {
  //       $mode = '1';
  //     } else {
  //       $mode .= ',1';
  //     }
  //   }
  //   if ($overlay == true) {
  //     if ($mode == '') {
  //       $mode = '6';
  //     } else {
  //       $mode .= ',6';
  //     }
  //   }
  //   if ($header == 'key3' || $category == 'key3' || $product == 'key3' || $footer == 'key3' || $advanced == 'key3') {
  //     if ($mode == '') {
  //       $mode = '7';
  //     } else {
  //       $mode .= ',7';
  //     }
  //   }
  //
  //   if ($header == 'key4' && $category == 'key4' && $product == 'key4' && $footer == 'key4' && $overlay != true && $advanced == 'key4') {
  //     $mode = '';
  //   }
  //   return $mode;
  // }

  }
