<?php
namespace Trustami\Trustbadge\Helper;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\Locale\Resolver;

class OverlayData extends \Magento\Framework\App\Helper\AbstractHelper
{
  /**
  * @var \Magento\Framework\App\Config\ScopeConfigInterfac
  */
  protected $_scopeConfig;
  protected $_localeResolver;

  CONST OVERLAY     = 'trustami_trustbadge/general/show_overlay';
  CONST FRAMEOVERLAY     = 'trustami_trustbadge/general/show_frame_overlay';
  CONST LISTOVERLAY    = 'trustami_trustbadge/general/show_list_overlay';

  public function __construct(
  \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
  \Magento\Framework\Locale\Resolver $localeResolver
  ) {
    $this->_scopeConfig = $scopeConfig;
    $this->__localeResolver = $localeResolver;
  }

  public function isOverlayActivated(){
    $value = $this->_scopeConfig->getValue(self::OVERLAY);
    return $value;
  }
  public function isFrameActivated(){
    $value = $this->_scopeConfig->getValue(self::FRAMEOVERLAY);
    return $value;
  }
  public function isListActivated(){
    $value = $this->_scopeConfig->getValue(self::LISTOVERLAY);
    return $value;
  }

}
