<?php namespace Trustami\Trustbadge\Model\System\Config\Source\Dropdown;

use Magento\Framework\Locale\Resolver;

class ValuesProduct
{
    /**
     * @var Resolver
     */
    protected $_localeResolver;

    public function __construct(Resolver $localeResolver)
    {
        $this->_localeResolver = $localeResolver;

    }

	public function toOptionArray()
	{
		$locale = substr($this->_localeResolver->getLocale(),0,2);
		if ($locale == 'de') {

			return [
					[
						'value' => 'key1',
						'label' => 'Vertrauenssiegel',
					     ],
					[
						'value' => 'key2',
						'label' => 'Vertrauenssiegel Mini (empfohlen)',
					     ],
					[
						'value' => 'key3',
						'label' => 'Vertrauenssiegel Box',
					     ],
					[
						'value' => 'key4',
						'label' => 'Deaktiviert',
					     ],
					];
		} else {
			return [
					[
						'value' => 'key1',
						'label' => 'Trust Badge',
					     ],
					[
						'value' => 'key2',
						'label' => 'Trust Badge Mini (recommended)',
					     ],
					[
						'value' => 'key3',
						'label' => 'Trust Badge Box',
					     ],
					[
						'value' => 'key4',
						'label' => 'Disabled',
					     ],
					];

		}
	}


		public function toArray()
	{
		$locale = substr($this->_localeResolver->getLocale(),0,2);
		if ($locale == 'de') {

			return ['key1' => __('Vertrauenssiegel'),
                		'key2' => __('Vertrauenssiegel Mini (empfohlen)'),
				'key3' => __('Vertrauenssiegel Box'),
				'key4' => __('Deaktiviert')
        ];
		} else {
			return ['key1' => __('Trust Badge'),
               			'key2' => __('Trust Badge Mini (recommended)'),
				'key3' => __('Trust Badge Box'),
				'key4' => __('Disabled')
        ];

		}
	}
}
