<?php namespace Trustami\Trustbadge\Block\Advanced;

class TrustbadgeAdvanced extends \Magento\Framework\View\Element\Template
{

    protected $_helper;

    /**
     * @var \Magento\Framework\ObjectManagerInterface
     */
    protected $_objectManager;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Trustami\Trustbadge\Helper\AdvancedData $helper,
        \Magento\Framework\ObjectManagerInterface $objectManager
    ) {
        parent::__construct($context);

        $this->_helper = $helper;
        $this->_objectManager = $objectManager;
    }

	public function getDivType() {
		return $this->_helper->getDivType();
	}

	public function getDivName() {
		return $this->_helper->getDivName();
	}

	public function getElement() {
		return $this->_helper->getElement();
	}

  protected function _toHtml()
  {
    return parent::_toHtml();
  }

}
