<?php

namespace Trustami\Trustbadge\Block\Footer;

class TrustbadgeFooter extends \Magento\Framework\View\Element\Template
{

    protected $_helper;

    /**
     * @var \Magento\Framework\ObjectManagerInterface
     */
    protected $_objectManager;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Trustami\Trustbadge\Helper\FooterData $helper,
        \Magento\Framework\ObjectManagerInterface $objectManager
    ) {
        parent::__construct($context);

        $this->_helper = $helper;
        $this->_objectManager = $objectManager;
    }

    public function getFooterOptions(){
	     return $this->_helper->getFooterOptions();
    }

    public function isStickerActivated(){
       return $this->_helper->isStickerActivated();
    }

    public function isButtonActivated(){
        return $this->_helper->isButtonActivated();
    }

    public function isSocialActivated(){
        return $this->_helper->isSocialActivated();
    }

    public function isDuoActivated(){
        return $this->_helper->isDuoActivated();
    }

    protected function _toHtml()
    {
      return parent::_toHtml();
    }

}
