<?php

namespace Trustami\Trustbadge\Block\Overlay;

class TrustbadgeOverlay extends \Magento\Framework\View\Element\Template
{

  protected $_helper;
  /**
  * @var \Magento\Framework\ObjectManagerInterface
  */
  protected $_objectManager;

  public function __construct(
  \Magento\Framework\View\Element\Template\Context $context,
  \Trustami\Trustbadge\Helper\OverlayData $helper,
  \Magento\Framework\ObjectManagerInterface $objectManager
  ) {
    parent::__construct($context);

    $this->_helper = $helper;
    $this->_objectManager = $objectManager;
  }

  public function isOverlayActivated(){
    return $this->_helper->isOverlayActivated();
  }

  public function isFrameActivated(){
    return $this->_helper->isFrameActivated();
  }

  public function isListActivated(){
    return $this->_helper->isListActivated();
  }

  protected function _toHtml(){
    return parent::_toHtml();
  }

}
