<?php
namespace Trustami\Trustbadge\Model\System\Config\Source\Dropdown;
use Magento\Framework\Locale\Resolver;

class ValuesDiv implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var Resolver
     */
    protected $_localeResolver;

    public function __construct(Resolver $localeResolver)
    {
        $this->_localeResolver = $localeResolver;

    }

	public function toOptionArray()
	{
		$locale = substr($this->_localeResolver->getLocale(),0,2);
		if ($locale == 'de') {

			return [
					[
						'value' => 'key1',
						'label' => 'ID',
					     ],
					[
						'value' => 'key2',
						'label' => 'Class',
					     ],
					[
						'value' => 'key3',
						'label' => 'Deaktiviert',
					     ],
					];
		} else {
			return [
					[
						'value' => 'key1',
						'label' => 'ID',
					     ],
					[
						'value' => 'key2',
						'label' => 'Class',
					     ],
					[
						'value' => 'key3',
						'label' => 'Disabled',
					     ],
					];

		}
	}


		public function toArray()
	{
		$locale = substr($this->_localeResolver->getLocale(),0,2);
		if ($locale == 'de') {

			return ['key1' => __('ID'),
                		'key2' => __('Class'),
				'key3' => __('Deaktiviert')
        ];
		} else {
			return ['key1' => __('ID'),
                		'key2' => __('Class'),
				'key3' => __('Disabled')
        ];

		}
	}
}
