<?php namespace Trustami\Trustbadge\Model\System\Config\Source\Dropdown;

use Magento\Framework\Locale\Resolver;

class ValuesElement{
    /**
     * @var Resolver
     */
    protected $_localeResolver;

    public function __construct(Resolver $localeResolver){
      $this->_localeResolver = $localeResolver;
    }

  	public function toOptionArray(){
  		$locale = substr($this->_localeResolver->getLocale(),0,2);
  		if ($locale == 'de') {
  			return [
  					[
  						'value' => 'key1',
  						'label' => 'Vertrauenssiegel',
  					     ],
  					[
  						'value' => 'key2',
  						'label' => 'Vertrauenssiegel Mini',
  					     ],
  					[
  						'value' => 'key3',
  						'label' => 'Vertrauenssiegel Box',
  					     ],
                    [
   						'value' => 'key4',
   						'label' => 'Vertrauenssiegel Sticker',
   					     ],
                    [
                        'value' => 'key5',
                        'label' => 'Vertrauenssiegel Button',
                    ],
                    [
                        'value' => 'key6',
                        'label' => 'Vertrauenssiegel Social',
                    ],
                    [
                        'value' => 'key7',
                        'label' => 'Vertrauenssiegel Duo',
                    ],
  					[
  						'value' => 'key8',
  						'label' => 'Deaktiviert',
  					     ],
  					];
  		} else {
  			return [
  					[
  						'value' => 'key1',
  						'label' => 'Trust Badge',
  					     ],
  					[
  						'value' => 'key2',
  						'label' => 'Trust Badge Mini',
  					     ],
  					[
  						'value' => 'key3',
  						'label' => 'Trust Badge Box',
  					     ],
                    [
   						'value' => 'key4',
   						'label' => 'Trust Badge Sticker',
   					     ],
                    [
                        'value' => 'key5',
                        'label' => 'Trust Badge Button',
                        ],
                    [
                        'value' => 'key6',
                        'label' => 'Trust Badge Social',
                        ],
                    [
                        'value' => 'key7',
                        'label' => 'Trust Badge Duo',
                        ],
  					[
  						'value' => 'key8',
  						'label' => 'Disabled',
  					     ],
  					];
  		}
  	}


		public function toArray(){
		  $locale = substr($this->_localeResolver->getLocale(),0,2);
  		if ($locale == 'de') {

  			return ['key1' => __('Vertrauenssiegel'),
                    'key2' => __('Vertrauenssiegel Mini'),
                    'key3' => __('Vertrauenssiegel Box'),
                    'key4' => __('Vertrauenssiegel Sticker'),
                    'key5' => __('Vertrauenssiegel Button'),
                    'key6' => __('Vertrauenssiegel Social'),
                    'key7' => __('Vertrauenssiegel Duo'),
                    'key8' => __('Deaktiviert')
          ];
  		} else {
  			return ['key1' => __('Trust Badge'),
                    'key2' => __('Trust Badge Mini'),
                    'key3' => __('Trust Badge Box'),
                    'key4' => __('Trust Badge Sticker'),
                    'key5' => __('Trust Badge Button'),
                    'key6' => __('Trust Badge Social'),
                    'key7' => __('Trust Badge Duo'),
                    'key8' => __('Disabled')
          ];

  		}
	}
}
